/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */

/* Main HTML elements */
body {
    background: linear-gradient(#2d1238, black);
    min-height: 110vh;
    color: white;
    font-family: Arial, sans-serif
}

a:link {
    color: lightskyblue;
}
a:visited {
    color: pink;
}
a:hover {
    color: cyan;
}
a:active {
    color: white;
}


/* Divs */
/* Header & footer */
.sh {
    background-color: black;
    color: white;
    border: 2px dotted #aa88ff;
    border-radius: 1.778vh;
    padding: 2vh;
    margin: 5vh 78vh;
    box-shadow: 0 0px 16vh #6622AA;
    
    text-align: center;
}
.sf {
    margin: 0px 24vh;
}

/* Header links */
.hl {
    a {
        color: white;
    }
    a:hover {
        background-color: white;
        color: black;
    }
    a:active {
        background-color: pink;
        color: black;
    }
}

/* Site page */
.sp {
    background-color: black;
    color: white;
    border: 2px dotted #aa88ff;
    border-radius: 1.778vh;
    padding: 4vh;
    margin: 0px 40vh;
    
    h1 {
        text-align: center;
    }
}